Bug 164650 - Nautilus accesses umounted automount directory causing it to be remounted again
Summary: Nautilus accesses umounted automount directory causing it to be remounted again
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: nautilus   
(Show other bugs)
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Alexander Larsson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-29 18:08 UTC by Nils Philippsen
Modified: 2008-08-02 23:40 UTC (History)
0 users

Fixed In Version: fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-22 12:24:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Nils Philippsen 2005-07-29 18:08:00 UTC
Description of problem:

I have an NFS directory /scratch on my server which I access through the
automounted (via autofs) /misc/scratch directory on my client. After accessing
it with nautilus (manually typing in the path), when it expires or when I
manually umount it on the client, nautilus lstat()s the directory, causing it to
be mounted again. I also straced gam_server but couldn't find anything happening
related to that directory.

Version-Release number of selected component (if applicable):
nautilus-2.10.0-4
gamin-0.1.1-1.FC4
autofs-4.1.4-5

How reproducible:
Everytime.

Steps to Reproduce:
1. Prepare NFS automount directory.
2. Access it with Nautilus.
3. Umount it.
  
Actual results:
Stays umounted.

Expected results:
Gets remounted.

Additional info:

Comment 1 Nils Philippsen 2005-07-29 18:10:41 UTC
Relevant lines in auto.master, auto.misc:

--- 8< --- /etc/auto.master ---
/misc   /etc/auto.misc --timeout=60
--- >8 ------------------------

--- 8< --- /etc/auto.misc ---
scratch         -hard,intr,rsize=8192,wsize=8192,nolock wombat.tiptoe.de:/scratch
--- >8 ----------------------

Comment 2 Christian Iseli 2007-01-20 00:42:28 UTC
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.

Comment 3 Nils Philippsen 2007-01-22 12:24:48 UTC
Can't seem to reproduce this on FC6.


Note You need to log in before you can comment on or make changes to this bug.